<?xml version="1.0" encoding="utf-8"?>
<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <UseWPF>true</UseWPF>
    <RootNamespace>RoslynPad.Editor</RootNamespace>
    <Version>$(EditorPackageVersion)</Version>
    <Description>Provides a Roslyn-based code editor using AvalonEdit (WPF platform) with completion, diagnostics, and quick actions</Description>
    <IsPackable>true</IsPackable>
    <TargetFramework>net6.0-windows</TargetFramework>
    <TargetFrameworks/>
    <Nullable>enable</Nullable>
    <LangVersion>default</LangVersion>
  </PropertyGroup>
  <ItemGroup>
    <PackageReference Include="AvalonEdit" Version="6.1.2.30"/>
    <PackageReference Include="Microsoft.CodeAnalysis.CSharp.CodeStyle" Version="4.0.1">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="System.Reactive.Linq" Version="$(RxVersion)"/>
    <PackageReference Update="Microsoft.NETFramework.ReferenceAssemblies" Version="1.0.2">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="..\RoslynPad.Editor.Shared\**\*.cs">
      <Link>Shared\%(RecursivePath)%(Filename)%(Extension)</Link>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\RoslynPad.Roslyn.Windows\RoslynPad.Roslyn.Windows.csproj"/>
    <ProjectReference Include="..\RoslynPad.Roslyn\RoslynPad.Roslyn.csproj"/>
  </ItemGroup>
</Project>
